* {
  margin: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
}

body {
  background: linear-gradient(100deg, rgba(125, 166, 247, 0.8) 35%, rgba(136, 96, 208, 0.8) 65%);
  background-repeat: no-repeat;
  background-position: fixed;
  padding: 60px;
}

/* ======ANIMATION====== */

.animate {
  opacity: 0;
  transition: all 0.9s ease;
  will-change: transform, opacity;
}

/* ===== FADE DOWN ===== */
.fade-down {
  transform: translateY(-40px);
}

.fade-down.visible {
  opacity: 1;
  transform: translateY(0);
}

/* ===== FLIP LEFT ===== */
.flip-left {
  transform: perspective(1000px) rotateY(60deg);
  transform-origin: left;
}

.flip-left.visible {
  opacity: 1;
  transform: perspective(1000px) rotateY(0deg);
}

a:focus,
button:focus {
  outline: 3px solid #FF8C00;
  outline-offset: 4px;
}

.a-propos-container {
  background-color: #F8F7FC;
  border-radius: 12px
}

/* ======HEADER====== */
header {
  background-color: #F8F7FC;
  top: 60px;
  left: 60px;
  right: 60px;
  bottom: 60px;
  border-radius: 12px;
  padding: 50px;
  display: flex;
  flex-direction: column;
  margin: 0 auto
}

header nav {
  font-family: "Raleway";
  font-size: 18px;
  font-weight: 600;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

header nav>img {
  height: 30px;
  width: auto;
}

header nav>ul {
  display: flex;
  gap: 60px;
  justify-content: center;
  align-items: center;
  width: 100%;
  padding: 0 20px;
}

header nav>ul>li {
  list-style: none;
}

header nav>ul>li>a {
  text-decoration: none;
  color: rgba(51, 51, 51, 0.8);
}

header nav>ul>li>a:hover,
header nav>ul>li>a.active {
  color: #813BFF;
}

header nav>.lien-contact {
  border-style: solid;
  border-width: thin;
  border-color: rgba(51, 51, 51, 0.8);
  display: flex;
  width: 55px;
  height: 55px;
  border-radius: 50%;
  aspect-ratio: 1 / 1;
  align-items: center;
  justify-content: center;
  margin-left: auto;
}

header nav>.lien-contact:hover {
  background-color: #813bff
}

header nav>.lien-contact>img {
  transition: filter 0.2s ease;
}

header nav>.lien-contact>img:hover {
  filter: brightness(0) invert(1);
}

header nav .burger-menu {
  display: none;
  background-color: transparent;
  border: none;
}

header nav .burger-menu>img {
  height: 30px;
  width: auto;
  cursor: pointer;
}

header .mobile-nav {
  position: fixed;
  top: 0;
  right: -100%;
  width: 60%;
  height: 100dvh;
  background-color: #ffffff;
  backdrop-filter: blur(6px);
  transition: right 0.3s ease;
  z-index: 3000;
  display: flex;
  flex-direction: column;
  gap: 60px;
  padding: 20px 0 0 40px;
}

header .mobile-nav .burger-menu {
  background-color: transparent;
  border: none;
  width: fit-content;
}

header .mobile-nav .burger-menu>img {
  height: 30px;
  width: auto;
  cursor: pointer;
}

header .mobile-nav .nav-group {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

header .mobile-nav .nav-group a {
  color: #333333;
  text-decoration: none;
  font-size: 24px;
  font-family: "Raleway";
  font-weight: 600;
}

header .mobile-nav .nav-links {
  display: flex;
  gap: 60px;
}

header .mobile-nav .nav-links a img {
  height: 40px;
  width: auto;
}

header .mobile-nav>a>img {
  height: 40px;
  width: auto;
}

header .mobile-nav.open {
  right: 0;
}

.main-a-propos h1 {
  font-size: 64px;
  text-align: center;
  font-family: "Poppins";
  margin-top: 30px;
  color: #2A2A35
}

.main-a-propos .container-img {
  display: flex;
  align-items: center;
  padding: 80px;
  gap: 30px
}

.main-a-propos .container-img>p {
  font-family: "Raleway";
  font-size: 28px;
  max-width: 700px;
  color: #2A2A35;
  line-height: 1.5
}

.container-img>p>span {
  font-weight: 700
}

.main-a-propos .container-img>img {
  width: 350px;
  border-radius: 50%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  margin-left: auto;
  margin-right: auto
}

/* ===== WHO I AM SECTION ===== */
.who-section {
  background-color: #EEF2FF;
  padding: 80px;
  width: 100%;
  display: flex;
  gap: 80px
}

.who-container,
.my-vision-container {
  width: 50%;

}

.who-container>h2,
.my-vision-container>h2 {
  font-family: "Poppins";
  font-size: 48px;
  color: #2A2A35;
  margin: 0 0 40px 0
}

.who-container>p,
.my-vision-container>p {
  font-family: "Raleway";
  font-size: 18px;
  color: #2A2A35;
  line-height: 1.5
}

.who-container>p>span,
.my-vision-container>p>span {
  font-weight: 600;
}

/* ===== SKILLS ===== */
.skills-section {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  padding: 80px
}

.skills-section h2 {
  font-family: "Poppins";
  font-size: 48px;
  margin: 0 0 80px 0
}

.skills-section .skills-cards {
  display: flex;
  gap: 80px;
  margin-bottom: 80px;
}

.skills-section .skills-cards .skill-card {
  width: 33%;
  display: flex;
  flex-direction: column;
  align-items: center
}

.skills-section .skills-cards .skill-card .skill-card-title {
  font-family: "Poppins";
  font-size: 28px;
  text-align: center;
  font-weight: 500;
  padding: 30px 0;
  width: 100%
}

.skills-section .skills-cards .skill-card>p {
  font-family: "Raleway";
  font-size: 18px;
  line-height: 1.5
}

.skills-section h3 {
  font-family: "Poppins";
  font-size: 32px;
  margin-bottom: 40px;
  color: #2A2A35
}

.skills {
  display: flex;
  flex-wrap: wrap;
}

.skills .frontend {
  padding-right: 150px
}

.skills .frontend h4,
.skills .outils h4,
.skills .experimentation h4 {
  font-family: "Poppins";
  font-size: 24px;
  margin-bottom: 30px;
  color: #2A2A35
}

.skills-block {
  display: flex;
  justify-content: center;
  gap: 60px;
  padding: 0 10px;
  margin-bottom: 60px;
}

.skills .experimentation .skills-block {
  margin-bottom: 0
}

.skills-block .group {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.skills-block .group>img {
  width: auto;
  max-width: 60px;
  height: 60px;
}

.skills-block .group>p {
  font-family: "Raleway";
  font-size: 18px;
  margin: 18px 0 18px 0;
}

/* =====  METHOD SECTION ===== */
.method-section {
  padding: 80px;
  background-color: #EEF2FF
}

.method-section>h2 {
  font-family: "Poppins";
  font-size: 48px;
  color: #2A2A35;
  margin: 0 0 80px 0
}

.method-section>p,
.method-section>ul>li {
  font-family: "Raleway";
  font-size: 18px;
  color: #2A2A35;
  letter-spacing: 3%;
  line-height: 1.5
}

.method-section>p>span,
.method-section>ul>li>span {
  font-weight: 700
}

/* =====  CTA SECTION ===== */
.cta-section {
  padding: 80px
}

.cta-section>p {
  font-family: "Raleway";
  font-size: 24px;
  text-align: center
}

.cta-primary-btn {
  background: linear-gradient(180deg, rgba(136, 96, 208, 1) 0%, rgba(248, 247, 252, 1) 50%);
  border: none;
  height: 55px;
  border-radius: 12px;
  padding: 0 30px;
  box-shadow: 0 4px 6px 0 rgba(51, 51, 51, 0.15);
  transition: transform 0.2s ease, box-shadow 0.2s ease;
  cursor: pointer;
  display: flex;
  align-items: center;
  gap: 20px;
  text-decoration: none;
  color: #2A2A35;
  font-family: "Poppins";
  font-size: 20px;
  font-weight: 500;
  width: fit-content;
  margin-right: auto;
  margin-left: auto;
  margin-top: 30px
}

.cta-primary-btn>img {
  width: 30px;
}

.cta-primary-btn:hover {
  transform: translateY(-3px) scale(1.03);
}


/* ===== SCROLL TOP ===== */
.scroll-top-btn {
  border-width: 2px;
  border-radius: 50%;
  aspect-ratio: 1 / 1;
  border-color: #2A2A35;
  border-style: solid;
  background-color: #8860D0;
  position: fixed;
  bottom: 80px;
  right: 80px;
  cursor: pointer;
  z-index: 1000;
  padding: 10px 4px;
  height: 60px
}

.scroll-top-btn img {
  width: 30px;
  height: 35px;
  filter: invert(0%);
  transition: filter 0.3s ease;
  padding-top: 3px;
}

.scroll-top-btn.over-footer {
  border: 0.5px solid white;
}

.scroll-top-btn.over-footer img {
  filter: invert(100%);
}

.scroll-top-btn.over-footer {
  border: 0.5px solid white;
}

.scroll-top-btn.over-footer img {
  filter: invert(100%);
}

.scroll-btn.hidden {
  display: none;
}

/* ===== FOOTER ===== */

footer {
  width: 100%;
  height: auto;
  background-color: #2A2A35;
  padding: 40px;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  border-radius: 0 0 12px 12px
}

footer .socials {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 40px;
}

footer .socials>a>img {
  width: 40px;
  height: 40px;
}

footer>a {
  color: #F8F7FC;
  font-family: "Raleway";
  font-size: 14px;
  letter-spacing: 5%;
  text-underline-offset: 4px
}

footer>p {
  font-family: "Raleway";
  color: #FAFAFA;
  margin: 0;
  font-size: 12px;
  text-align: center;
}

footer .copyright {
  color: #FAFAFA;
  font-family: "Raleway";
  font-weight: 300;
  font-style: italic;
  font-size: 12px;
  margin: 0;
}

@media (max-width: 1024px) {
  body {
    padding: 30px
  }

  header {
    padding: 30px
  }

  .main-a-propos h1 {
    font-size: 48px
  }

  .main-a-propos .container-img {
    padding: 60px 30px
  }

  .main-a-propos .container-img>img {
    width: clamp(100px, 35vw, 350px);
  }

  .who-section .who-container h2,
  .who-section .my-vision-container h2,
  .skills-section h2,
  .method-section h2 {
    font-size: 36px;
  }

  .who-section {
    padding: 60px 30px;
    flex-direction: column;
    gap: 60px
  }

  .who-section .who-container,
  .who-section .my-vision-container {
    width: 100%
  }

  .skills-section {
    padding: 60px 30px
  }

  .skills-section h3 {
    font-size: 28px
  }

  .skills .frontend h4,
  .skills .outils h4,
  .skills .experimentation h4 {
    font-size: 20px
  }

  .skills-section .skills-cards {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: clamp(40px, 35vw, 80px);
  }

  .skills-section .skills-cards .skill-card {
    width: 100%
  }

  .skills-section .skills .frontend .skills-block,
  .skills-section .skills .outils .skills-block,
  .skills-section .skills .experimentation .skills-block {
    flex-wrap: wrap;
    justify-content: flex-start
  }

  .method-section {
    padding: 60px 30px
  }

  .method-section h2 {
    margin-bottom: 40px
  }
}

@media (max-width: 768px) {

  body {
    padding: 15px
  }

  .a-propos-container header nav ul {
    display: none;
  }

  .a-propos-container header nav .lien-contact {
    display: none;
  }

  .a-propos-container header nav .burger-menu {
    display: block;
  }

  .a-propos-container header {
    padding: 15px
  }

  .main-a-propos h1 {
    font-size: 36px
  }

  .main-a-propos .container-img {
    padding: 60px 15px
  }

  .main-a-propos .container-img>p {
    font-size: 20px
  }

  .who-section {
    padding: 60px 15px
  }

  .who-section .who-container h2,
  .who-section .my-vision-container h2 {
    font-size: 28px;
    text-align: center
  }

  .skills-section {
    padding: 60px 15px
  }

  .skills-section h2 {
    font-size: 28px;
    text-align: center
  }

  .skills-section .skills-cards {
    grid-template-columns: repeat(1, 1fr);
  }

  .skills-section .skills-cards .skill-card .skill-card-title {
    font-size: 22px
  }

  .skills-section .skills-cards .skill-card>img {
    height: 80px;
    width: auto
  }

  .skills-section .skills-cards .skill-card>p {
    width: 80%
  }

  .skills-section h3 {
    font-size: 22px;
    text-align: center
  }

  .skills-section .skills .frontend h4,
  .skills-section .skills .outils h4,
  .skills-section .skills .experimentation h4 {
    font-size: 18px;
    text-align: center
  }

  .skills-section .skills .frontend {
    padding-right: 0;

  }

  .skills-section .skills .frontend,
  .skills-section .skills .outils,
  .skills-section .skills .experimentation {
    width: 100%;
  }

  .skills-section .skills .frontend .skills-block,
  .skills-section .skills .outils .skills-block,
  .skills-section .skills .experimentation .skills-block {
    justify-content: center
  }

  .method-section {
    padding: 60px 15px
  }

  .method-section h2 {
    font-size: 28px;
    text-align: center
  }
}

@media (max-width: 425px) {
  body {
    padding: 10px
  }

  .a-propos-container header .mobile-nav {
    width: 100vw
  }

  .main-a-propos .container-img {
    padding: 30px 10px;
    flex-direction: column-reverse
  }

  .main-a-propos .who-section {
    padding: 30px 10px
  }

  .skills-section {
    padding: 30px 10px
  }

  .skills-section .skills-cards {
    margin-bottom: 40px
  }

  .main-a-propos .skills-section h2 {
    margin-bottom: 40px
  }

  .skills-section .skills-cards .skill-card>p {
    width: 100%
  }

  .method-section {
    padding: 30px 10px
  }

  .cta-section {
    padding: 30px 10px
  }
}

@media (max-width: 375px) {
  .a-propos-container .main-a-propos h1 {
    font-size: 30px
  }

  .who-section .who-container h2,
  .who-section .my-vision-container h2,
  .skills-section h2,
  .method-section h2 {
    font-size: 26px
  }

  .skills-section h3 {
    font-size: 20px
  }

  .skills-section .skills .frontend h4,
  .skills-section .skills .outils h4,
  .skills-section .skills .experimentation h4 {
    font-size: 18px
  }

  .skills-section .skills .frontend .skills-block,
  .skills-section .skills .outils .skills-block,
  .skills-section .skills .experimentation .skills-block {
    gap: 30px
  }

  .skills-section .skills .frontend .skills-block .group>img,
  .skills-section .skills .outils .skills-block .group>img,
  .skills-section .skills .experimentation .skills-block .group>img {
    width: auto;
    height: 40px
  }

  .cta-section>p {
    font-size: 22px
  }

  .cta-section .cta-primary-btn {
    width: 100%;
    justify-content: center
  }
}